<?php

namespace App\Filament\Resources\ServiceTypeResource\Widgets;

use Filament\Widgets\ChartWidget;

class ServiceTypeOverview extends ChartWidget
{
    protected static ?string $heading = 'Services';

    protected static ?string $maxHeight = '200px';

    protected function getData(): array
    {
        return [
            'datasets' => [
                [
                    'label' => 'Test Label',
                    'data'  => [30, 15, 25, 30],
                ],
            ],
            'labels' => [
                'Test 1',
                'Test 2',
                'Test 3',
                'Test 4',
            ],
        ];
    }

    protected function getType(): string
    {
        return 'pie';
    }
}
